SignUp
POST
/api/v1/public/signup
const url = 'https://example.com/api/v1/public/signup';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"companyName":"example","slug":"example","firstName":"example","lastName":"example","email":"example","password":"example","locale":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/public/signup \ --header 'Content-Type: application/json' \ --data '{ "companyName": "example", "slug": "example", "firstName": "example", "lastName": "example", "email": "example", "password": "example", "locale": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
companyName
required
string
slug
required
string
firstName
required
string
lastName
required
string
email
required
string
password
required
string
locale
required
string
Examplegenerated
{ "companyName": "example", "slug": "example", "firstName": "example", "lastName": "example", "email": "example", "password": "example", "locale": "example"}Responses
Section titled “ Responses ”Created
Media typeapplication/json
object
tenantSlug
required
string
loginUrl
required
string
Examplegenerated
{ "tenantSlug": "example", "loginUrl": "example"}Bad Request
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}Not Found
Conflict
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Too Many Requests
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}